summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-libs/libvdpau
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-libs/libvdpau')
-rw-r--r--x11-libs/libvdpau/Manifest3
-rw-r--r--x11-libs/libvdpau/libvdpau-0.7.ebuild45
-rw-r--r--x11-libs/libvdpau/libvdpau-0.8.ebuild50
-rw-r--r--x11-libs/libvdpau/libvdpau-0.9.ebuild50
-rw-r--r--x11-libs/libvdpau/metadata.xml8
5 files changed, 156 insertions, 0 deletions
diff --git a/x11-libs/libvdpau/Manifest b/x11-libs/libvdpau/Manifest
new file mode 100644
index 00000000000..dc449a0f216
--- /dev/null
+++ b/x11-libs/libvdpau/Manifest
@@ -0,0 +1,3 @@
+DIST libvdpau-0.7.tar.gz 486636 SHA256 24dc08467ce8c59d6cfbf0d34d2dd1f86b4ff62e90777e0a8f513c5c9de9bce0 SHA512 c0ebb124956372a59eaa7e5c9330b6d4f32acd924aa620c4c037f3917623860887231b9b9f4c0a375a300c82a3e0b7284afbe9139d8562f6a74a85848d362286 WHIRLPOOL d88a439231267386b53b4e9be8820e225f40bf8e77895f2d28fbcbd1ced19e70d23d49a55618d0bcadd44086f5df880badff47d05871c6e6fee02a5cf075ef15
+DIST libvdpau-0.8.tar.gz 487359 SHA256 73a7d11cc1abed8bcaf1392bd361fc00fd43bd85bbeafb12a64bdd0bcb4101ed SHA512 c7e7c74f4849f83bed170f4428c381f868f34cbb59444c4e65af4ad1eac19ea9450aa422b35af6c031c2b168a73282fe7bf96d69d5581f24d3c689aa849d1c56 WHIRLPOOL f1ff7d08e326abc1750f0faca9359c366f98970f562dd56037d674d971183cf39289afe0b83192cc162fcfad92ebb3b24f1f652df59095d53b30da90e77a3347
+DIST libvdpau-0.9.tar.gz 526619 SHA256 e32957140835a545a01a3972db1143e01174db3d9c0017e51f6a3bf8b09c0e6e SHA512 8e69712a91e17c3388742f2a4c0a8887113fe06a81dbedf1faa7fc3985a289cd067a9134399f9747fd4b3b1499c46e7871a3b34f74f6e9c95b07ea877739e51f WHIRLPOOL b04824b5867636c25f029909fd9c82fe142bafcbe2544234c31cf34b4616417c362801b8ab817e59b741eb3b8232b0dedef1664dbd5a856cec6634328eb6defc
diff --git a/x11-libs/libvdpau/libvdpau-0.7.ebuild b/x11-libs/libvdpau/libvdpau-0.7.ebuild
new file mode 100644
index 00000000000..d3660d6f023
--- /dev/null
+++ b/x11-libs/libvdpau/libvdpau-0.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools-multilib
+
+DESCRIPTION="VDPAU wrapper and trace libraries"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/VDPAU"
+SRC_URI="http://people.freedesktop.org/~aplattner/vdpau/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc dri"
+
+RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ dri? ( >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}] )
+ !=x11-drivers/nvidia-drivers-180*
+ !=x11-drivers/nvidia-drivers-185*
+ !=x11-drivers/nvidia-drivers-190*
+ abi_x86_32? ( !app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ virtual/latex-base
+ )
+ dri? ( >=x11-proto/dri2proto-2.2 )"
+
+src_configure() {
+ local myeconfargs=(
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ $(use_enable doc documentation)
+ $(use dri || echo --disable-dri2)
+ )
+
+ autotools-multilib_src_configure
+}
+
+src_install() {
+ autotools-multilib_src_install
+ prune_libtool_files --modules
+}
diff --git a/x11-libs/libvdpau/libvdpau-0.8.ebuild b/x11-libs/libvdpau/libvdpau-0.8.ebuild
new file mode 100644
index 00000000000..f0efcf65c56
--- /dev/null
+++ b/x11-libs/libvdpau/libvdpau-0.8.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+VIRTUALX_REQUIRED="test"
+inherit autotools-multilib virtualx
+
+DESCRIPTION="VDPAU wrapper and trace libraries"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/VDPAU"
+SRC_URI="http://people.freedesktop.org/~aplattner/vdpau/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc dri"
+
+RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ dri? ( >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}] )
+ !=x11-drivers/nvidia-drivers-180*
+ !=x11-drivers/nvidia-drivers-185*
+ !=x11-drivers/nvidia-drivers-190*
+ abi_x86_32? ( !app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ virtual/latex-base
+ )
+ dri? ( >=x11-proto/dri2proto-2.2 )"
+
+src_configure() {
+ local myeconfargs=(
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ $(use_enable doc documentation)
+ $(use dri || echo --disable-dri2)
+ )
+
+ autotools-multilib_src_configure
+}
+
+multilib_src_test() {
+ Xemake check
+}
+
+src_install() {
+ autotools-multilib_src_install
+ prune_libtool_files --modules
+}
diff --git a/x11-libs/libvdpau/libvdpau-0.9.ebuild b/x11-libs/libvdpau/libvdpau-0.9.ebuild
new file mode 100644
index 00000000000..e3d3000cf1d
--- /dev/null
+++ b/x11-libs/libvdpau/libvdpau-0.9.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+VIRTUALX_REQUIRED="test"
+inherit autotools-multilib virtualx
+
+DESCRIPTION="VDPAU wrapper and trace libraries"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/VDPAU"
+SRC_URI="http://people.freedesktop.org/~aplattner/vdpau/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc dri"
+
+RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ dri? ( >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}] )
+ !=x11-drivers/nvidia-drivers-180*
+ !=x11-drivers/nvidia-drivers-185*
+ !=x11-drivers/nvidia-drivers-190*
+ abi_x86_32? ( !app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ virtual/latex-base
+ )
+ dri? ( >=x11-proto/dri2proto-2.2 )"
+
+src_configure() {
+ local myeconfargs=(
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ $(use_enable doc documentation)
+ $(use dri || echo --disable-dri2)
+ )
+
+ autotools-multilib_src_configure
+}
+
+multilib_src_test() {
+ Xemake check
+}
+
+src_install() {
+ autotools-multilib_src_install
+ prune_libtool_files --modules
+}
diff --git a/x11-libs/libvdpau/metadata.xml b/x11-libs/libvdpau/metadata.xml
new file mode 100644
index 00000000000..a445a73fcbe
--- /dev/null
+++ b/x11-libs/libvdpau/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>cardoe@gentoo.org</email>
+ <name>Doug Goldstein</name>
+ </maintainer>
+</pkgmetadata>